<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'reengagement', language 'fi', version '3.1'.
 *
 * @package     reengagement
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activitycompleted'] = 'Tämä aktiviteetti on merkitty suoritetuksi.';
$string['afterdelay'] = 'Aikaviiveen jälkeen';
$string['completeattimex'] = 'Tämä aktiviteetti suoritetaan {$a}';
$string['completion'] = 'Suoritus';
$string['completiontime'] = 'Merkitetään suoritetuksi';
$string['completionwillturnon'] = 'Huomioi, että tämän aktiviteetin lisääminen kurssille ottaa käyttöön edistymisen seurannan.';
$string['crontask'] = 'Muistuttajan cron-tehtävä';
$string['days'] = 'Päivää';
$string['duration'] = 'Kesto';
$string['duration_help'] = 'Aika, jonka jälkeen tämä Muistuttaja-aktiviteetti merkitään suoritetuksi ja osallistujille ei enää lähetetä muistutusviestejä.';
$string['frequencytoohigh'] = 'Muistutuksien enimmäismäärä viivytysjaksolle on {$a}';
$string['hours'] = 'Tuntia';
$string['introdefaultvalue'] = 'Tämä on muistuttaja-aktiviteetti. Sen tarkoitus on ohjata aktiviteettien suorituksia tietyssä ajanjaksossa.';
$string['minutes'] = 'Minuuttia';
$string['modulename'] = 'Muistuttaja';
$string['modulenameplural'] = 'Muistutukset';
$string['never'] = 'Ei koskaan';
$string['noemailattimex'] = 'Viestiä, joka on ajastettu lähteväksi {$a}, ei lähetetä, koska olet suorittanut kohdeaktiviteetin.';
$string['nosuppresstarget'] = 'Yhtään aktiviteettia ei ole valittuna';
$string['oncompletion'] = 'Kun Muistuttaja-aktiviteetti on suoritettu';
$string['periodtoolow'] = 'Aikaviive on liian pieni, sen tulee olla vähintään 5 minuuttia.';
$string['pluginname'] = 'Muistuttaja';
$string['receiveemailattimex'] = 'Viesti lähetetään {$a}';
$string['receiveemailattimexunless'] = 'Viesti lähetetään {$a} ellet suorita kohdeaktiviteettia.';
$string['reengagement'] = 'muistuttaja';
$string['reengagement:addinstance'] = 'Muistuttaja: lisää kurssille';
$string['reengagement:editreengagementduration'] = 'Muuta muistuttajan kestoa';
$string['reengagement:startreengagement'] = 'Käynnistä muistuttaja';
$string['reengagementduration'] = 'Aika, jonka jälkeen Muistuttaja merkitään suoritetuksi';
$string['reengagementfieldset'] = 'Muistuttajan asetukset';
$string['reengagementintro'] = 'Muistuttajan esittely';
$string['reengagementname'] = 'Aktiviteetin nimi';
$string['reengagementsinprogress'] = 'Muistutukset käynnissä';
$string['remindercount'] = 'Muistutuksien lukumäärä aikarajan sisällä. Huom. Ohje.';
$string['remindercount_help'] = 'Tämä määrittää montako sähköpostiviestiä lähetetään määritetyn aikaviiveen jälkeen. Voit lähettää vain tietyn määrän viestejä tietyn ajan sisällä. Nämä rajat ovat:
<ul>
<li>Aikaviive alle 24 tuntia - Maksimissaan 2 muistutusviestiä.</li>
<li>Aikaviive alle 5 päivää - Maksimissaan 10 muistutusviestiä.</li>
<li>Aikaviive alle 15 päivää - Maksimissaan 26 muistutusviestiä.</li>
<li>Aikaviive yli 15 päivää - Maksimissaan 40 muistutusviestiä.</li>
</ul>

Ensimmäisen viestin lähtöajan voi laskea käyttäjän lisäämishetkestä kurssille tai siitä hetkestä kun käyttäjä itserekisteröityy kurssille + määrittelemäsi aikaviive.

Esim.
<ul>
<li>Käyttäjä lisätään kurssille 8.5.2020 klo 08.00</li>
<li>aikaviive 1 viikkoa</li>
<li>muistutuksien lukumäärä 2</li>
<li>Aika, jonka jälkeen Muistuttaja merkitään suoritetuksi: 2 viikkoa</li>
</ul>

Ensimmäinen viesti lähetetään 8.5.2020 klo 08.00 + viestin aikaviive 1 viikko = 15.5.2020 klo 08.00.

Toinen viesti lähetetään sitten 15.5.2020 klo 08.00 + 1 viikko = 22.5.2020 klo 08.00.

"Aika, jonka jälkeen Muistuttaja merkitään suoritetuksi" määrittää takarajan lähetettäville viesteille, kun se merkitään suoritetuksi, niin viestejä ei enää lähetetä, siksi tässä tapauksessa siihen on määritetty 2 viikkoa.';
$string['search:activity'] = 'Muistuttaja - aktiviteetin tiedot';
$string['suppresstarget'] = 'Suoritettava aktiviteetti';
$string['weeks'] = 'Viikkoa';
